
Price Monitoring - Bug #1731

When the user searches for an item that has no values in the RAW data, the value fields are

displayed caching the previous values 

09/02/2019 12:16 PM - Israa Naser

Status: Closed Start date: 09/02/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Item General Details - معلومات عامة

لسلعة

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Steps to duplicate:

1- search for an item that has values in the database and make sure the fields are displayed with correct values

2- search for a defined item that it's mapped item has no values in the DB in a certain date

the fields are displayed in the screen holding the previous item values,

it's expected to hide the table of mapped items and the fields of item details

Related issues:

Related to Task #1521: Item General Details - معلومات عامة لسلعة Closed 07/25/2019

Related to Bug #1613: Search by section in Item General details screen is not... Closed 08/15/2019

History

#1 - 09/02/2019 12:16 PM - Israa Naser

- Related to Task #1521: Item General Details - معلومات عامة لسلعة added

#2 - 09/02/2019 12:55 PM - Israa Naser

- Related to Bug #1613: Search by section in Item General details screen is not functioning correctly  added

#3 - 09/02/2019 01:25 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

next deploy

#4 - 09/09/2019 10:16 AM - Israa Naser

- File معلومات عامة لسلعة - search for empty item.PNG added

- Status changed from Fixed to Closed

- % Done changed from 0 to 100

- Co-Workers Abed Abuhalawa added

- Co-Workers deleted (Israa Naser)
Related requirement in SRS under

4    Item General Details (معلومات عامة لسلعة)

Tested and verified the following scenarios:

1- when the user searches for a defined item that does not exist (incorrect barcode) > the system shows no results and the message لا يوجد نتائج

للعرض

2- when the user searches for a defined item that exists but has no data mapped to it, or no data in the date specified > the system displays only the

header (general info for the item)

3- when the user searches for a defined item with no data after searching for an item with data displayed ==>  the system displays only the header

(general info for the item)

Files

general item info caching.PNG 172 KB 09/02/2019 Israa Naser

search for empty item.PNG - معلومات عامة لسلعة 292 KB 09/09/2019 Israa Naser
